
Figure - Bug #115810
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】在游戏中，打开游戏模式里的消息列表后，其左上角区域点击不生效
2023-02-02 19:39 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-02

Priority: Normal Due date: 2023-02-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Reproducibility: Every time Fixed Version: 2023-02-17

Test Type: IT Root cause: Android12的新特性，会对不信用的点击事件进行拦截，穿透消息弹幕的点击事件不被信任导致点击事件失效，把游戏模式加入信任名单后，点击事件则正常进行。��

Description

【前提条件】

1、设备的游戏模式已打开

2、安装大型游戏【王者荣耀】

【测试步骤】

1、打开 游戏

2、点击 游戏模式工具栏的 ‘消息弹幕’

3、点击游戏左上角的 返回键

【预期结果】

3、成功返回

【实际结果】

3、点击不生效

【复现率】

3/3

History

#1 - 2023-02-02 19:40 - 物联网测试组_CDTS 段小刚

我分析应该是 打开消息弹幕后 其展示来访消息的幕布列表将其游戏画布遮挡住了，所以导致其左上角的点击无法生效

#2 - 2023-02-07 10:19 - CD FW-程天颖

- Status changed from New to RESOLVED

- % Done changed from 0 to 20

- Root cause set to Android12的新特性，会对不信用的点击事件进行拦截，穿透消息弹幕的点击事件不被信任导致点击事件失效，把游戏模式加入信任名单

后，点击事件则正常进行。

■ Current conclusion

代码已提交

■ My analysis

Android12的新特性，会对不信用的点击事件进行拦截，穿透消息弹幕的点击事件不被信任导致点击事件失效，把游戏模式加入信任名单后，点击事件则

正常进行。
■ Next action

入库代码

#3 - 2023-02-07 10:34 - CD FW-程天颖

- Status changed from RESOLVED to ASSIGNED

#4 - 2023-02-08 20:02 - CD FW 曹覃刚

- Due date set to 2023-02-10

#5 - 2023-02-17 18:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179705 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode: Fix the problem of touch when game mode bullet screen onTC-RID: 1201-0204808IssueID: TS-R-BUG-115810Change-Id:

Id44a13611bc698a007bbf6b8ed39247db456bef8

#6 - 2023-02-17 18:32 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to 物联网测试组_CDTS 段小刚

- % Done changed from 20 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-17

■ Current conclusion

代码已入库

■ My analysis

Android12的新特性，会对不信用的点击事件进行拦截，穿透消息弹幕的点击事件不被信任导致点击事件失效，把游戏模式加入信任名单后，点击事件则

正常进行。

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/179705

#7 - 2023-02-28 14:14 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS 段小刚 to CD TEST-方永红

#8 - 2023-03-03 18:51 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

3.3

验证通过

#9 - 2023-03-03 18:52 - CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/179705


- Status changed from VERIFIED to CLOSED

Files

screen-20230202-112522.mp4 10.2 MB 2023-02-02 物联网测试组_CDTS 段小刚
